Bug 315568 - kmail crash on startup
Summary: kmail crash on startup
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.3.0
Platform: OpenSUSE Linux
: NOR crash with 35 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 315835 316424 316579 316789 318172 323135 323277 323572 324053 327274 328218 328795 329063 330673 344270 347526 347629 352003 358607 366178 376398 377053 378979 384784 384960 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-21 10:55 UTC by Martin Koller
Modified: 2020-08-04 13:17 UTC (History)
29 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.22 KB, text/plain)
2013-03-17 10:14 UTC, Ralsa
Details
New crash information added by DrKonqi (5.03 KB, text/plain)
2013-04-02 16:19 UTC, Vadim Zhukov
Details
New crash information added by DrKonqi (5.22 KB, text/plain)
2013-04-02 17:05 UTC, Vadim Zhukov
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-03 12:12 UTC, kavol
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-03 13:01 UTC, kavol
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-03 13:02 UTC, kavol
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-03 13:02 UTC, kavol
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-03 13:02 UTC, kavol
Details
New crash information added by DrKonqi (8.40 KB, text/plain)
2013-04-04 05:48 UTC, kavol
Details
New crash information added by DrKonqi (10.49 KB, text/plain)
2013-06-08 10:23 UTC, Hrvoje Senjan
Details
New crash information added by DrKonqi (10.49 KB, text/plain)
2013-06-08 10:23 UTC, Hrvoje Senjan
Details
Workaround script (104 bytes, text/plain)
2013-12-21 11:11 UTC, Saurav Sengupta
Details
New crash information added by DrKonqi (8.38 KB, text/plain)
2014-05-07 21:31 UTC, RJVB
Details
Daily KMail crash event (9.49 KB, text/plain)
2015-02-23 17:54 UTC, ImpliedConsent
Details
New crash information added by DrKonqi (5.97 KB, text/plain)
2017-12-05 18:30 UTC, christian chevalier
Details
New crash information added by DrKonqi (19.71 KB, text/plain)
2020-08-04 13:17 UTC, Carlos Navarrete
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2013-02-21 10:55:02 UTC
Application: kmail (4.10)
KDE Platform Version: 4.10.00 "release 546"
Qt Version: 4.8.4
Operating System: Linux 3.4.28-2.20-desktop x86_64
Distribution: "openSUSE 12.2 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

As I had a mail in my inbox (from a POP account) where kmail did not show any content, I thought let's stop kmail and restart akonadi.
So I stopped kmail, opened a konsole and shut down akonadi with
akonadictl stop
Then after no more akonadi processes were running, I tried to start kmail again, but this lead to this crash.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fe18273b780 (LWP 29174))]

Thread 5 (Thread 0x7fe162c16700 (LWP 29200)):
#0  0x00007fe17d8c68f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe17306e437 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fe17306e469 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fe17d8c2e0e in start_thread () from /lib64/libpthread.so.0
#4  0x00007fe17fa912cd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fe1622fd700 (LWP 29201)):
#0  0x00007fe17fa8914f in poll () from /lib64/libc.so.6
#1  0x00007fe177d26684 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe177d267a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe18041c136 in QEventDispatcherGlib::processEvents (this=0x7fe1540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fe1803ec94f in QEventLoop::processEvents (this=this@entry=0x7fe1622fce00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fe1803ecbd8 in QEventLoop::exec (this=0x7fe1622fce00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fe1802ef0b0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007fe1802f208c in QThreadPrivate::start (arg=0xed8210) at thread/qthread_unix.cpp:338
#8  0x00007fe17d8c2e0e in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe17fa912cd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fe159916700 (LWP 20342)):
#0  0x00007fe177d26795 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fe18041c136 in QEventDispatcherGlib::processEvents (this=0x7fe100002d30, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#2  0x00007fe1803ec94f in QEventLoop::processEvents (this=this@entry=0x7fe159915dd0, flags=...) at kernel/qeventloop.cpp:149
#3  0x00007fe1803ecbd8 in QEventLoop::exec (this=0x7fe159915dd0, flags=...) at kernel/qeventloop.cpp:204
#4  0x00007fe1802ef0b0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#5  0x00007fe1803cd0bf in QInotifyFileSystemWatcherEngine::run (this=0x7191100) at io/qfilesystemwatcher_inotify.cpp:256
#6  0x00007fe1802f208c in QThreadPrivate::start (arg=0x7191100) at thread/qthread_unix.cpp:338
#7  0x00007fe17d8c2e0e in start_thread () from /lib64/libpthread.so.0
#8  0x00007fe17fa912cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fe15bfff700 (LWP 16512)):
#0  0x00007fe17d8c6c61 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe1802f2547 in wait (time=30000, this=0x41f4340) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1185198, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fe1802e5d4f in QThreadPoolThread::run (this=0xb62cde0) at concurrent/qthreadpool.cpp:141
#4  0x00007fe1802f208c in QThreadPrivate::start (arg=0xb62cde0) at thread/qthread_unix.cpp:338
#5  0x00007fe17d8c2e0e in start_thread () from /lib64/libpthread.so.0
#6  0x00007fe17fa912cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe18273b780 (LWP 29174)):
[KCrash Handler]
#6  QMetaObject::indexOfEnumerator (this=<optimized out>, name=0x7fe1822d5b5f "ItemStatus") at kernel/qmetaobject.cpp:717
#7  0x00007fe18226e4fc in KStatusNotifierItem::setStatus (this=0x1531160, status=KStatusNotifierItem::Passive) at /usr/src/debug/kdelibs-4.10.0/kdeui/notifications/kstatusnotifieritem.cpp:161
#8  0x00007fe1814e6486 in KMail::KMSystemTray::setMode (this=0x1531160, newMode=1) at /usr/src/debug/kdepim-4.10.0/kmail/kmsystemtray.cpp:164
#9  0x00007fe1814f4126 in KMKernel::toggleSystemTray (this=0x7fff90786f80) at /usr/src/debug/kdepim-4.10.0/kmail/kmkernel.cpp:2057
#10 0x00007fe1815459d7 in KMMainWidget::readConfig (this=this@entry=0xb6a7ea0) at /usr/src/debug/kdepim-4.10.0/kmail/kmmainwidget.cpp:979
#11 0x00007fe181545ee1 in KMMainWidget::KMMainWidget (this=0xb6a7ea0, parent=<optimized out>, aGUIClient=0x179ebb0, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.0/kmail/kmmainwidget.cpp:267
#12 0x00007fe1814a725b in KMMainWin::KMMainWin (this=0x179eb50, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/src/debug/kdepim-4.10.0/kmail/kmmainwin.cpp:67
#13 0x00007fe1814f73e7 in KMKernel::openReader (this=0x7fff90786f80, onlyCheck=onlyCheck@entry=false) at /usr/src/debug/kdepim-4.10.0/kmail/kmkernel.cpp:578
#14 0x00007fe1814f75e0 in KMKernel::action (this=this@entry=0x7fff90786f80, mailto=mailto@entry=false, check=check@entry=false, to=..., cc=..., bcc=..., subj=..., body=..., messageFile=..., attachURLs=..., customHeaders=...) at /usr/src/debug/kdepim-4.10.0/kmail/kmkernel.cpp:1369
#15 0x00007fe1814f7f35 in KMKernel::handleCommandLine (this=0x7fff90786f80, noArgsOpensReader=true) at /usr/src/debug/kdepim-4.10.0/kmail/kmkernel.cpp:494
#16 0x00000000004034b7 in KMailApplication::newInstance (this=0x7fff90786f50) at /usr/src/debug/kdepim-4.10.0/kmail/main.cpp:87
#17 0x00007fe18215bd52 in KUniqueApplicationAdaptor::newInstance (this=0xeceaa0, asn_id=..., args=...) at /usr/src/debug/kdelibs-4.10.0/kdeui/kernel/kuniqueapplication.cpp:442
#18 0x00007fe18215bdd4 in qt_static_metacall (_a=0x7fff90785fa0, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kdelibs-4.10.0/build/kdeui/kuniqueapplication_p.moc:58
#19 KUniqueApplicationAdaptor::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7fff90785fa0) at /usr/src/debug/kdelibs-4.10.0/build/kdeui/kuniqueapplication_p.moc:52
#20 0x00007fe18215bf0b in KUniqueApplicationAdaptor::qt_metacall (this=0xeceaa0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff90785fa0) at /usr/src/debug/kdelibs-4.10.0/build/kdeui/kuniqueapplication_p.moc:102
#21 0x00007fe17dafbd6a in QDBusConnectionPrivate::deliverCall (this=this@entry=0xd14170, object=object@entry=0xeceaa0, msg=..., metaTypes=..., slotIdx=4) at qdbusintegrator.cpp:951
#22 0x00007fe17dafcee5 in QDBusConnectionPrivate::activateCall (this=this@entry=0xd14170, object=0xeceaa0, flags=flags@entry=337, msg=...) at qdbusintegrator.cpp:863
#23 0x00007fe17dafd856 in QDBusConnectionPrivate::activateObject (this=0xd14170, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1427
#24 0x00007fe17dafd94b in QDBusActivateObjectEvent::placeMetaCall (this=0x6763e70) at qdbusintegrator.cpp:1541
#25 0x00007fe1804025de in QObject::event (this=0x7fff90786f50, e=<optimized out>) at kernel/qobject.cpp:1203
#26 0x00007fe18092d964 in QApplication::event (this=0x7fff90786f50, e=0x6763e70) at kernel/qapplication.cpp:2544
#27 0x00007fe18092b85c in QApplicationPrivate::notify_helper (this=this@entry=0xd281a0, receiver=receiver@entry=0x7fff90786f50, e=e@entry=0x6763e70) at kernel/qapplication.cpp:4562
#28 0x00007fe18092fcda in QApplication::notify (this=0x7fff90786f50, receiver=0x7fff90786f50, e=0x6763e70) at kernel/qapplication.cpp:4423
#29 0x00007fe182155a96 in KApplication::notify (this=0x7fff90786f50, receiver=0x7fff90786f50, event=0x6763e70) at /usr/src/debug/kdelibs-4.10.0/kdeui/kernel/kapplication.cpp:311
#30 0x00007fe1803edbfe in QCoreApplication::notifyInternal (this=0x7fff90786f50, receiver=receiver@entry=0x7fff90786f50, event=event@entry=0x6763e70) at kernel/qcoreapplication.cpp:946
#31 0x00007fe1803f1561 in sendEvent (event=0x6763e70, receiver=0x7fff90786f50) at kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xc9d1f0) at kernel/qcoreapplication.cpp:1570
#33 0x00007fe18041bf83 in sendPostedEvents () at kernel/qcoreapplication.h:236
#34 postEventSourceDispatch (s=0xd46b00) at kernel/qeventdispatcher_glib.cpp:279
#35 0x00007fe177d263b5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#36 0x00007fe177d266e8 in ?? () from /usr/lib64/libglib-2.0.so.0
#37 0x00007fe177d267a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#38 0x00007fe18041c116 in QEventDispatcherGlib::processEvents (this=0xd1e6a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#39 0x00007fe1809cbbee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#40 0x00007fe1803ec94f in QEventLoop::processEvents (this=this@entry=0x7fff90786bd0, flags=...) at kernel/qeventloop.cpp:149
#41 0x00007fe1803ecbd8 in QEventLoop::exec (this=0x7fff90786bd0, flags=...) at kernel/qeventloop.cpp:204
#42 0x00007fe1803f1878 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#43 0x0000000000402e4d in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdepim-4.10.0/kmail/main.cpp:146

Possible duplicates by query: bug 313679.

Reported using DrKonqi
Comment 1 Jekyll Wu 2013-02-27 08:59:47 UTC
*** Bug 315835 has been marked as a duplicate of this bug. ***
Comment 2 Jekyll Wu 2013-03-10 00:03:14 UTC
*** Bug 316424 has been marked as a duplicate of this bug. ***
Comment 3 Jekyll Wu 2013-03-12 09:00:35 UTC
*** Bug 316579 has been marked as a duplicate of this bug. ***
Comment 4 Jekyll Wu 2013-03-15 18:47:59 UTC
*** Bug 316789 has been marked as a duplicate of this bug. ***
Comment 5 Ralsa 2013-03-17 10:14:58 UTC
Created attachment 78126 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.2

- What I was doing when the application crashed:

The problem persists every day, every session...

-- Backtrace (Reduced):
#8  0xb75c285c in KStatusNotifierItem::setStatus (this=0x9c35378, status=KStatusNotifierItem::Active) at ../../kdeui/notifications/kstatusnotifieritem.cpp:161
#9  0xb6e3d381 in KMail::KMSystemTray::setMode (this=0x9c35378, newMode=1) at ../../kmail/kmsystemtray.cpp:164
#10 0xb6e50c4e in KMKernel::toggleSystemTray (this=0xbfcccbd0) at ../../kmail/kmkernel.cpp:2063
#11 0xb6ea5a69 in KMMainWidget::readConfig (this=0x99ed4f8) at ../../kmail/kmmainwidget.cpp:979
#12 0xb6ea5fb5 in KMMainWidget::KMMainWidget (this=0x99ed4f8, parent=0xb62b1d80, aGUIClient=0xb62b1d80, actionCollection=0xb62b1d80, config=...) at ../../kmail/kmmainwidget.cpp:267
Comment 6 Vadim Zhukov 2013-04-02 16:19:31 UTC
Created attachment 78576 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.2

- What I was doing when the application crashed:
Crashed on startup.

- Custom settings of the application:
Akonadi uses SQLite backend, if that matters.

-- Backtrace (Reduced):
#7  0x0db9c333 in KStatusNotifierItem::setStatus () from /usr/local/lib/libkdeui.so.10.0
#8  0x01436632 in KMail::KMSystemTray::setMode () from /usr/local/lib/libkmailprivate.so.0.0
#9  0x014490e2 in KMKernel::toggleSystemTray () from /usr/local/lib/libkmailprivate.so.0.0
#10 0x0149e36d in KMMainWidget::readConfig () from /usr/local/lib/libkmailprivate.so.0.0
#11 0x014ab5f1 in KMMainWidget::KMMainWidget () from /usr/local/lib/libkmailprivate.so.0.0
Comment 7 Vadim Zhukov 2013-04-02 17:05:17 UTC
Created attachment 78578 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.2

- What I was doing when the application crashed:

Just started.

I'm using debug version of PIM libs but non-debug of PIM runtime, PIM itself and kdelibs - GDB fails to start otherwise, eating all the virtual memory on i386...

Also, the following appears in console windows when running from it:

QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

FAILURE (KCmdLineArgs):
The "qt" options have not be added to KCmdLineArgs!

-- Backtrace (Reduced):
#7  0x01d9c333 in KStatusNotifierItem::setStatus () from /usr/local/lib/libkdeui.so.10.0
#8  0x0e7b5632 in KMail::KMSystemTray::setMode () from /usr/local/lib/libkmailprivate.so.0.0
#9  0x0e7c80e2 in KMKernel::toggleSystemTray () from /usr/local/lib/libkmailprivate.so.0.0
#10 0x0e81d36d in KMMainWidget::readConfig () from /usr/local/lib/libkmailprivate.so.0.0
#11 0x0e82a5f1 in KMMainWidget::KMMainWidget () from /usr/local/lib/libkmailprivate.so.0.0
Comment 8 kavol 2013-04-03 12:12:17 UTC
Created attachment 78599 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 9 kavol 2013-04-03 13:01:48 UTC
Created attachment 78601 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 10 kavol 2013-04-03 13:02:11 UTC
Created attachment 78602 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 11 kavol 2013-04-03 13:02:23 UTC
Created attachment 78604 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 12 kavol 2013-04-03 13:02:23 UTC
Created attachment 78605 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 13 kavol 2013-04-04 05:48:23 UTC
Created attachment 78623 [details]
New crash information added by DrKonqi

kmail (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I've closed kmail as it was somehow unresponsive. Then I've stopped akonadi ("akonadictl stop") as it usually helps in such cases. Then I've trie to start kmail and it crashed immediately.

Note that I've closed kmail via menu, there may have been some processes left ...

-- Backtrace (Reduced):
#6  0x00007f5649e8c16b in KStatusNotifierItem::setStatus (this=0x241c5e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-4.10.1/kdeui/notifications/kstatusnotifieritem.cpp:161
#7  0x00007f56490f1cfd in KMail::KMSystemTray::setMode (this=0x241c5e0, newMode=0) at /usr/src/debug/kdepim-4.10.1/kmail/kmsystemtray.cpp:161
#8  0x00007f56490ff8e6 in KMKernel::toggleSystemTray (this=0x7fffa30a5de0) at /usr/src/debug/kdepim-4.10.1/kmail/kmkernel.cpp:2063
#9  0x00007f56491514d7 in KMMainWidget::readConfig (this=this@entry=0x22965f0) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:979
#10 0x00007f56491519e0 in KMMainWidget::KMMainWidget (this=0x22965f0, parent=<optimized out>, aGUIClient=0x2c27c20, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-4.10.1/kmail/kmmainwidget.cpp:267
Comment 14 Jekyll Wu 2013-04-11 09:26:40 UTC
*** Bug 318172 has been marked as a duplicate of this bug. ***
Comment 15 Hrvoje Senjan 2013-06-08 10:23:46 UTC
Created attachment 80390 [details]
New crash information added by DrKonqi

kmail (4.11 pre) on KDE Platform 4.10.60 "release 11" using Qt 4.8.5

- What I was doing when the application crashed:

Still here with current trunk :-(
Happens if KMail was running, then one shuts it down, and soon tries to start it again...

-- Backtrace (Reduced):
#6  KStatusNotifierItem::setStatus (this=0xcda52e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-git/kdeui/notifications/kstatusnotifieritem.cpp:156
#7  0x00007feb8bdb3a9d in KMail::KMSystemTray::setMode (this=0xcda52e0, newMode=0) at /usr/src/debug/kdepim-git/kmail/kmsystemtray.cpp:163
#8  0x00007feb8bdbc9a6 in KMKernel::toggleSystemTray (this=0x7ffff58f1e60) at /usr/src/debug/kdepim-git/kmail/kmkernel.cpp:2087
#9  0x00007feb8be00dc7 in KMMainWidget::readConfig (this=this@entry=0x14f6650) at /usr/src/debug/kdepim-git/kmail/kmmainwidget.cpp:983
#10 0x00007feb8be14e9c in KMMainWidget::KMMainWidget (this=0x14f6650, parent=<optimized out>, aGUIClient=0x4873288, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-git/kmail/kmmainwidget.cpp:268
Comment 16 Hrvoje Senjan 2013-06-08 10:23:46 UTC
Created attachment 80391 [details]
New crash information added by DrKonqi

kmail (4.11 pre) on KDE Platform 4.10.60 "release 11" using Qt 4.8.5

- What I was doing when the application crashed:

Still here with current trunk :-(
Happens if KMail was running, then one shuts it down, and soon tries to start it again...

-- Backtrace (Reduced):
#6  KStatusNotifierItem::setStatus (this=0xcda52e0, status=KStatusNotifierItem::Active) at /usr/src/debug/kdelibs-git/kdeui/notifications/kstatusnotifieritem.cpp:156
#7  0x00007feb8bdb3a9d in KMail::KMSystemTray::setMode (this=0xcda52e0, newMode=0) at /usr/src/debug/kdepim-git/kmail/kmsystemtray.cpp:163
#8  0x00007feb8bdbc9a6 in KMKernel::toggleSystemTray (this=0x7ffff58f1e60) at /usr/src/debug/kdepim-git/kmail/kmkernel.cpp:2087
#9  0x00007feb8be00dc7 in KMMainWidget::readConfig (this=this@entry=0x14f6650) at /usr/src/debug/kdepim-git/kmail/kmmainwidget.cpp:983
#10 0x00007feb8be14e9c in KMMainWidget::KMMainWidget (this=0x14f6650, parent=<optimized out>, aGUIClient=0x4873288, actionCollection=<optimized out>, config=...) at /usr/src/debug/kdepim-git/kmail/kmmainwidget.cpp:268
Comment 17 Jekyll Wu 2013-08-03 15:44:31 UTC
*** Bug 323135 has been marked as a duplicate of this bug. ***
Comment 18 Jekyll Wu 2013-08-08 03:29:52 UTC
*** Bug 323277 has been marked as a duplicate of this bug. ***
Comment 19 Jekyll Wu 2013-08-26 12:18:52 UTC
*** Bug 324053 has been marked as a duplicate of this bug. ***
Comment 20 Jekyll Wu 2013-08-26 12:18:55 UTC
*** Bug 323572 has been marked as a duplicate of this bug. ***
Comment 21 Damien Gombault 2013-09-04 14:38:07 UTC
I confirm this problem on Arch Linux with versions :

Qt: 4.8.5
KDE Development Platform: 4.11.00
KMail: 4.11
Comment 22 Jekyll Wu 2013-11-07 14:15:52 UTC
*** Bug 327274 has been marked as a duplicate of this bug. ***
Comment 23 Jekyll Wu 2013-11-30 12:46:00 UTC
*** Bug 328218 has been marked as a duplicate of this bug. ***
Comment 24 Jekyll Wu 2013-12-14 12:56:48 UTC
*** Bug 328795 has been marked as a duplicate of this bug. ***
Comment 25 Jekyll Wu 2013-12-21 09:45:50 UTC
*** Bug 329063 has been marked as a duplicate of this bug. ***
Comment 26 Saurav Sengupta 2013-12-21 11:11:29 UTC
Created attachment 84212 [details]
Workaround script

There is a sort of workaround. This script serves as a proxy for the KMail binary executable for this workaround. The workaround is explained in a comment.
Comment 27 Saurav Sengupta 2013-12-21 11:13:24 UTC
For comment 26 and attachment 84212 [details], do the following with root privileges: -
cd /usr/bin/
mv kmail kmail.bin
In /usr/bin/ make a new file named kmail and paste the contents of the script in this attachment into it.
If you have a file named ~/.local/share/applications/kde4-KMail2.desktop or a similar KMail .desktop file in ~/.local/share/applications/, open it and change X-DBUS-StartupType=Unique to X-DBUS-StartupType=none. If you do not have such a file, make the same change in /usr/share/applications/kde4/KMail2.desktop (this will require root privileges) or whatever is the main KMail .desktop file in your /usr/share/applications/kde4/ or /usr/share/applications/.
Comment 28 Saurav Sengupta 2013-12-21 11:16:24 UTC
For comment 26 and attachment 84212 [details], do the following with root privileges: -
cd /usr/bin/
mv kmail kmail.bin
In /usr/bin/ make a new file named kmail and paste the contents of the script in attachment 84212 [details] into it.
If you have a file named ~/.local/share/applications/kde4-KMail2.desktop or a similar KMail .desktop file in ~/.local/share/applications/, open it and change X-DBUS-StartupType=Unique to X-DBUS-StartupType=none. If you do not have such a file, make the same change in /usr/share/applications/kde4/KMail2.desktop (this will require root privileges) or whatever is the main KMail .desktop file in your /usr/share/applications/kde4/ or /usr/share/applications/.
Comment 29 Saurav Sengupta 2013-12-21 11:20:47 UTC
Sorry for the double-comment above. Comment 28 is the correct one associated with comment 26; comment 27 should be deleted but there is no option to edit/delete comments here.
Comment 30 Saurav Sengupta 2013-12-21 11:42:19 UTC
Of course, for comment 28 and attachment 84212 [details], the kmail script file (the new /usr/bin/kmail file in which the script content is placed) has to be made executable: chmod +x /usr/bin/kmail (requires root privileges).

I posted the attachment and related comments here because this workaround works for bug 329063 which I reported separately and which was marked as a duplicate of this bug.
Comment 31 Yannick Roehlly 2013-12-23 20:45:17 UTC
Are you sure bug 329063 is a dupicate of this one? I have the problem described in the former bug since Kmail 4.12 and had no problem with version 4.11.3.
Comment 32 Saurav Sengupta 2013-12-24 16:01:14 UTC
(In reply to comment #31)
> Are you sure bug 329063 is a dupicate of this one? I have the problem
> described in the former bug since Kmail 4.12 and had no problem with version
> 4.11.3.

I had reported bug 329063. It does not seem to me to be a duplicate of this one because even I had no problem with version 4.11.3. Also, I did not experience any abnormal application behaviour, as I had stated in the original report, while this report states that KMail was closed because it "did not show any content". There are other similar reports such as in comment 8, "I've closed kmail as it was somehow unresponsive." The problem has also been reported with version 4.10.1 comment 5 onwards in several comments, whereas I never experienced the problem reported in bug 329063 in 4.10.1 either. However, bug 329063 was marked as a duplicate of this one by  Jekyll Wu, so I "moved" here, so to speak.
Comment 33 Yannick Roehlly 2013-12-24 16:15:36 UTC
Hi Saurav,

I solved my problem with Kmail 4.12 by removing all Kmail configuration (only Kmail, not akonadi) and configuring it again. Hope it helps.

Yannick
Comment 34 Saurav Sengupta 2013-12-24 16:22:46 UTC
Hi Yannick,

Mine is working with my script for now. Thanks for your suggestion, will try it out. If possible, please keep us posted on whether your KMail keeps working after the reconfigure.
Comment 35 Jekyll Wu 2014-02-02 17:47:56 UTC
*** Bug 330673 has been marked as a duplicate of this bug. ***
Comment 36 RJVB 2014-05-07 21:31:39 UTC
Created attachment 86515 [details]
New crash information added by DrKonqi

kmail (4.13) on KDE Platform 4.13.0 using Qt 4.8.6

- What I was doing when the application crashed:
Restarted kmail after aborting an apparently locked imap synchronisation (gmail account)

- Unusual behaviour I noticed:
1) an imap synchronisation apparently got locked
2) aborting the operation did not unlock the situation
3) kmail didn't actually quit after selecting the the Quit menu; the process kept running after closing all windows

-- Backtrace (Reduced):
#6  KStatusNotifierItem::setStatus (this=this@entry=0x24f9c70, status=KStatusNotifierItem::Active) at ../../kdeui/notifications/kstatusnotifieritem.cpp:160
#7  0x00007f3010d4802c in KMail::KMSystemTray::setMode (this=0x24f9c70, newMode=1) at ../../kmail/kmsystemtray.cpp:168
#8  0x00007f3010d5194b in KMKernel::toggleSystemTray (this=0x7fff3e339d30) at ../../kmail/kmkernel.cpp:2039
#9  0x00007f3010d81caf in KMMainWidget::readConfig (this=this@entry=0x2813c40) at ../../kmail/kmmainwidget.cpp:859
#10 0x00007f3010d90df8 in KMMainWidget::KMMainWidget (this=0x2813c40, parent=<optimized out>, aGUIClient=0x2419870, actionCollection=<optimized out>, config=...) at ../../kmail/kmmainwidget.cpp:269
Comment 37 ImpliedConsent 2015-02-23 17:54:36 UTC
Created attachment 91248 [details]
Daily KMail crash event
Comment 38 Denis Kurz 2017-01-20 22:19:41 UTC
*** Bug 352003 has been marked as a duplicate of this bug. ***
Comment 39 Denis Kurz 2017-01-20 22:19:44 UTC
*** Bug 344270 has been marked as a duplicate of this bug. ***
Comment 40 Denis Kurz 2017-01-20 22:19:50 UTC
*** Bug 347526 has been marked as a duplicate of this bug. ***
Comment 41 Denis Kurz 2017-01-20 22:19:54 UTC
*** Bug 366178 has been marked as a duplicate of this bug. ***
Comment 42 Denis Kurz 2017-01-20 22:19:59 UTC
*** Bug 358607 has been marked as a duplicate of this bug. ***
Comment 43 Denis Kurz 2017-01-20 22:20:08 UTC
*** Bug 347629 has been marked as a duplicate of this bug. ***
Comment 44 Denis Kurz 2017-01-20 22:26:58 UTC
Reported for version 5.2.3 in Bug 366178.

This is probably related with Bug 340014, which has also been reported for versions up to 5.2.3, and also crashes on access to the d-pointer of a KMSystemTray object. I'm not sure enough to mark this as duplicate of the other though.
Comment 45 Denis Kurz 2017-03-16 09:14:36 UTC
*** Bug 377053 has been marked as a duplicate of this bug. ***
Comment 46 Denis Kurz 2017-03-16 09:14:38 UTC
*** Bug 376398 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2017-04-26 20:26:07 UTC
*** Bug 378979 has been marked as a duplicate of this bug. ***
Comment 48 Christoph Feck 2017-10-12 17:48:28 UTC
*** Bug 384960 has been marked as a duplicate of this bug. ***
Comment 49 Christoph Feck 2017-10-12 17:49:06 UTC
*** Bug 384784 has been marked as a duplicate of this bug. ***
Comment 50 christian chevalier 2017-12-05 18:30:19 UTC
Created attachment 109219 [details]
New crash information added by DrKonqi

kmail (4.14.10) on KDE Platform 4.14.35 using Qt 4.8.6

- What I was doing when the application crashed:

Closing kmail because some messages present in my webmail were not synchronised with imap account and restarting kmail to check the difference.

-- Backtrace (Reduced):
#5  0x00007f67031c5461 in KStatusNotifierItem::setStatus(KStatusNotifierItem::ItemStatus) () at /lib64/libkdeui.so.5
#6  0x00007f6702394760 in KMail::KMSystemTray::setMode(int) () at /lib64/libkmailprivate.so.4
#7  0x00007f670239e61b in KMKernel::toggleSystemTray() () at /lib64/libkmailprivate.so.4
#8  0x00007f67023ccaef in KMMainWidget::readConfig() () at /lib64/libkmailprivate.so.4
#9  0x00007f67023dc92d in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, KSharedPtr<KSharedConfig>) () at /lib64/libkmailprivate.so.4
Comment 51 christian chevalier 2017-12-06 15:13:26 UTC
It seems kmail crashes because its process doesn't end when closed by File->Quit.
Killing kmail process makes it start without crash.
Comment 52 RJVB 2017-12-06 17:17:59 UTC
I *think* I stopped seeing this crash after updating to Qt 4.8.7 . Please try that (it's a real shame that distros leave people stranded on such an old version for so long.)
Comment 53 christian chevalier 2017-12-06 18:32:59 UTC
It's my fault. I am still under mageia-5.
kmail-5.4.3 from mageia-6 uses Qt 5.6.2.
I'll check when I upgrade.
Comment 54 RJVB 2017-12-06 19:00:07 UTC
No, that's not your fault. Qt 4.8.7 was released well before distros started shipping KF5 desktops, and some of the distros covered by my remark are still under LTS.

FWIW, most if not all of the Kubuntu 14.04 patches to Qt 4.8.6 still apply to 4.8.7; creating upgraded packages in my own PPA wasn't hard at all.
Comment 55 Carlos Navarrete 2020-08-04 13:17:13 UTC
Created attachment 130627 [details]
New crash information added by DrKonqi

kmail (5.13.2 (19.12.2)) using Qt 5.14.2

- What I was doing when the application crashed:

I was checking email after resuming from suspension. I think the problem is related to kmail looking for a message that was deleted from other app.

-- Backtrace (Reduced):
#5  0x00007efe31620ae2 in KStatusNotifierItem::setStatus(KStatusNotifierItem::ItemStatus) () from /lib64/libKF5Notifications.so.5
#6  0x00007efe333f5aa2 in KMail::UnityServiceManager::canQueryClose() () from /lib64/libkmailprivate.so.5
#7  0x00007efe31bb298d in KMainWindow::closeEvent(QCloseEvent*) () from /lib64/libKF5XmlGui.so.5
#8  0x00007efe32c6b36e in QWidget::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#9  0x00007efe31be1bbd in KXmlGuiWindow::event(QEvent*) () from /lib64/libKF5XmlGui.so.5